Skip to navigation

Get send money approval request by ID

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Path parameters

requestIdstringRequiredformat: "uuid"

Response

accountIdstringformat: "uuid"
ID for a Mercury account.
amountdouble>=0.01
A positive dollar amount with at least 1 cent.
createdAtstringformat: "yyyy-mm-ddThh:MM:ssZ"
paymentMethodenum
Allowed values:
recipientIdstringformat: "uuid"
ID for a Mercury account.
requestIdstring
requestedByUserIdstringformat: "uuid"
reviewslist of objects
Approval decisions recorded against this request, ordered from oldest to most recent.
statusenum
The approval status of a send money request.
Allowed values:
memostring or nullOptional
numberOfApproversRequiredinteger or nullOptional-9223372036854776000-9223372036854776000
Total number of approvals required for this payment to be sent. May be null for older requests where the requirement is not available.
scheduledSendDateobject or nullOptional

Errors

404
Not Found Error